PDA

View Full Version : Ext Designer



JorisA
17 Feb 2011, 12:51 PM
Hi, can anyone tell me anything about compatibility with Ext 4, or when we can expect a new version of Ext Designer?

wemerson.januario
18 Feb 2011, 4:26 PM
I want to know too.

zillabyte
19 Feb 2011, 12:37 PM
It looks like the classes generated by the designer don't work with Ext 4. I get a StackOverflow error whenever I try to use any of the classes I've created. Does anyone know if there is a way to get these working. I'm new to ExtJS (about a week) and so I'm still learning. I thought I might be better off trying to implement my project in Ext 4 rather than Ext 3 since the new release should be out soon and so much has changed. Any word on when the designer will be udpated or how the generated classes can be used with Ext 4?

JorisA
20 Feb 2011, 3:17 AM
The release notes state:


JS Compatibility Layer

This is an optional JavaScript file that can be referenced after Ext 4 is loaded that will provide the aliases and overrides necessary to make the vast majority of Ext 3 code run correctly under Ext 4 as-is.

NOTE: At the moment this compatibility layer is not yet available, but it will be prior to the final 4.0 release.


A bit dirty, but I guess this will fix compatibility with Ext Designer.

I expect/hope there will be a new version soon that outputs the new ext4 style class definitions that allows you to open projects created with the current version.